RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::http_field_parsers::impl::qvalue_producer_t::digit_consumer_t Class Reference

A helper class to be used to accumulate actual integer while when the next digit is extracted from the input stream. More...

Inheritance diagram for restinio::http_field_parsers::impl::qvalue_producer_t::digit_consumer_t:

## Public Member Functions
constexpr | digit_consumer_t (qvalue_t::underlying_uint_t m)
void | consume (zero_initialized_unit_t &dest, char &&digit)

## Private Attributes
const qvalue_t::underlying_uint_t | m_multiplier

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

A helper class to be used to accumulate actual integer while when the next digit is extracted from the input stream.

Definition at line 1173 of file basics.hpp.

## Constructor & Destructor Documentation

## ◆ digit_consumer_t()

constexpr restinio::http_field_parsers::impl::qvalue_producer_t::digit_consumer_t::digit_consumer_t | ( | qvalue_t::underlying_uint_t | m | ) |
| inline constexpr

Definition at line 1178 of file basics.hpp.

## Member Function Documentation

## ◆ consume()

void restinio::http_field_parsers::impl::qvalue_producer_t::digit_consumer_t::consume | ( | zero_initialized_unit_t & | dest,
|  | char && | digit
| ) |  |
| inline

Definition at line 1183 of file basics.hpp.

## Member Data Documentation

## ◆ m_multiplier

const qvalue_t::underlying_uint_t restinio::http_field_parsers::impl::qvalue_producer_t::digit_consumer_t::m_multiplier
| private

Definition at line 1175 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp